Skip site navigation (1) Skip section navigation (2)

testing plpython3u on 9.0beta2

From: Chris <rfusca(at)gmail(dot)com>
To: pgsql-hackers(at)postgresql(dot)org
Subject: testing plpython3u on 9.0beta2
Date: 2010-06-23 02:41:13
Message-ID: AANLkTiljWOCB13cwGRnwx1BNyYxprO6W_7yEA9ClCjns@mail.gmail.com (view raw or flat)
Thread:
Lists: pgsql-hackers
I received two errors (described below) in installing 9.0beta2 on Kubuntu
10.04 , RhodiumToad on IRC recommended I post them here.

I did not have a 2.x or 3.x python dev installed, but I was really only
interested in python3 via plython3u.
So...
sudo apt-get install python3-all-dev

Configure works fine...
"./configure --with-pgport=5433 --with-python --with-ossp-uuid --with-libxml
--with-libxslt --with-perl"
"make" fails while trying to build plpython, Cannot find python.h i
believe....(I sadly did not save the text of the error and have since
continued onward.  But it was not finding a file while building plpython.  I
believe I would have to uninstall a few things to reproduce.)
So I tried installing the 2.x dev.  After running "sudo apt-get install
python-all-dev" then "make;make check;sudo make install", it all worke fine.

However,  when issuing a "createlang plpython3u template1", I get
"createlang: language installation failed: ERROR:  could not access file
"$libdir/plpython3": No such file or directory".  But if I "createlang
plpython2u template1" first, then it will allow "createlang plpython3u
template1".

Am I doing something incorrect, or...?

(As an aside, functions created with LANGUAGE plpython3u appear to work.)


-- 
Chris Spotts
rfusca(at)gmail(dot)com

Responses

pgsql-hackers by date

Next:From: Andrew DunstanDate: 2010-06-23 02:46:48
Subject: Re: Implementation of Date/Time Input Interpretation
Previous:From: Francis MarkhamDate: 2010-06-23 02:27:41
Subject: Re: Implementation of Date/Time Input Interpretation

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group